package com.ruoyi.report.mapper;
import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.hv.domain.RzgHighValueIewStatisticsInfo;
import com.ruoyi.report.domain.RzlViewStatisticsInfo;

/**
 * 专利有效-概况统计Mapper接口
 *
 * @author ruoyi
 * @date 2023-03-26
 */
public interface RzlViewStatisticsInfoMapper extends BaseMapper<RzlViewStatisticsInfo> {
	
	List<Map> selectYearList(int year);
	
	List<Map> listByReport(RzlViewStatisticsInfo rzlViewStatisticsInfo);
	List<Map> listForLast(RzlViewStatisticsInfo rzlViewStatisticsInfo);
	

	
	
}
